Questions & Answers

A request to Presonus for future updates - plase make them backwards compatible, not like the Ampire changes in 4.6

+1 vote
19 views
asked Feb 22 in Hardware Integration / Remote Control by chrisdepalma (620 points)
I would have preferred Presonus made the new Ampire a totally different instrument, say like Ampire XTS or something and kept the original Ampire intact, when they did the updates from 4.5.5 to 4.6.0. Then all the songs started with the old Ampire would have worked flawlessly, and there would have been no need for all the workaround hassle to get the Ampire "classic" version installed. It would have been so much smoother a transition and I think would have been a better upgrade policy. I have hundreds of songs and tunes started that use the original Ampire, so I didn't bring them to ver 4.6 and don't dare bring them to ver 5.

Please log in or register to answer this question.

...